#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <algorithm>
#include <cmath>
#include "testlib.h"
#include <assert.h>
using namespace std;

const int maxN = 1e6 + 100;
int num1[maxN];
int num2[maxN];

int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int len1 = atoi(argv[1]);
    int len2 = atoi(argv[2]);
    int lenEq = atoi(argv[3]);
    assert(lenEq <= len1 && len1 <= len2);

    for (int i = 0; i < len2 - len1; i++) {
        num2[i] = (i == 0 ? rnd.next(1, 9) : rnd.next(10));
        num1[i] = 0;
    }

    for (int i = len2 - len1; i < len2 - len1 + lenEq; i++) {
        num2[i] = num1[i] = (i == len2 - len1 ? rnd.next(1, 9) : rnd.next(10));
    }

    for (int i = len2 - len1 + lenEq; i < len2; i++) {
        num2[i] = (i == len2 - len1 + lenEq && lenEq == 0) ? rnd.next(1, 9) : rnd.next(10);
        num1[i] = (i == len2 - len1 + lenEq && lenEq == 0) ? rnd.next(1, 9) : rnd.next(10);
        if (num2[i] == num1[i] && i == len2 - len1 + lenEq) {
            num2[i] = (num1[i] == 0 ? num1[i] + 1 : num1[i] - 1);
        }

        if (i == 0 || i == lenEq) {
            if (num2[i] < num1[i]) {
                swap(num2[i], num1[i]);
            }
        }
    }

    for (int i = len2 - len1; i < len2; i++) {
        cout << num1[i];
    }
    cout << endl;

    for (int i = 0; i < len2; i++) {
        cout << num2[i];
    }
    cout << endl;

    return 0;
}
