#include <iostream>
#include <algorithm>
using namespace std;


const int maxN = 2e5;
int dL[maxN];
int dR[maxN];

int getDiff(int n, int m) {   
    int cnt = 0;
    while (n || m) {
        cnt += (n % 10 != m % 10);
        n /= 10;
        m /= 10;
    }
    return cnt;
}

int main(void) {
    int l, r;
    cin >> l >> r;
    int ans = 0;
    for (int x = l; x <= r; x++) {
        for (int y = x; y <= r; y++) {
            ans = max(ans, getDiff(x, y));
        }
    }
    cout << ans << endl;
    return 0; 
}
